<template>
  <div>
    <img
      src="../assets/img/danielspringl.png"
      alt="Daniel Špringl"
      title="Zatoč si se mnou"
      :class="{ rotate: rotatingPhoto}"
      @click="rotate()"
    >
    <transition name="slide-fade" mode="out-in">
      <p class="skill" :key="skill">{{ skill }}</p>
    </transition>
    <p>Jsem návrhář a vývojář webových aplikací s mnohaletou zkušeností.</p>
    <p>
      Pracuji ve společnosti
      <a href="https://jablotron.com/cz" target="_blank">JABLOTRON ALARMS a.s.</a>, kde se stáram mimo jiné o&nbsp;správný chod veškerých interních informačních systémů.
    </p>
    <p>Mezi mé záliby patří zkoumání nových technologií, správa počítačů, serverů a počítačových sítí, sledování seriálů a mnoho dalšího...</p>
  </div>
</template>

<script>
export default {
  name: "Home",
  data: function() {
    return {
      skills: ["Programátor", "IT specialista", "Analytik", "Správce systémů"],
      skill: "",
      rotatingPhoto: false
    };
  },
  methods: {
    rotate: function() {
      this.rotatingPhoto = true;
      var self = this;
      setTimeout(function() {
        self.rotatingPhoto = false;
      }, 700);
    }
  },
  created: function() {
    this.skill = this.skills[0];
    var index = 1;
    var self = this;
    setInterval(function() {
      if (index > self.skills.length - 1) {
        index = 0;
      }
      self.skill = self.skills[index];
      index++;
    }, 3000);
  }
};
</script>

<style scoped>
.rotate {
  -webkit-animation: spin 0.7s ease-in-out;
  -moz-animation: spin 0.7s ease-in-out;
  animation: spin 0.7s ease-in-out;
}
.slide-fade-enter-active {
  transition: all 0.7s;
}
.slide-fade-leave-active {
  transition: all 0.7s;
}
.slide-fade-enter {
  transform: translateX(20px);
  opacity: 0;
}
.slide-fade-leave-to {
  transform: translateX(-20px);
  opacity: 0;
}
.skill {
  color: #636b6f;
  font-size: 20px;
  font-weight: 600;
  text-transform: uppercase;
}
p {
  margin: 20px auto;
}
img {
  margin-top: 30px;
  width: 250px;
  height: 250px;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  border: 0;
}
img:hover {
  cursor: pointer;
  border: 0;
}
@-moz-keyframes spin {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-webkit-keyframes spin {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes spin {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
</style>
